Package Details: konsave 2.1.2-2

Git Clone URL: https://aur.archlinux.org/konsave.git (read-only, click to copy)
Package Base: konsave
Description: Save and apply your KDE Plasma customizations with just one command!
Upstream URL: https://github.com/Prayag2/konsave
Licenses: GPL3
Submitter: zhixi
Maintainer: brody
Last Packager: brody
Votes: 8
Popularity: 0.57
First Submitted: 2021-03-06 09:32 (UTC)
Last Updated: 2022-04-21 07:14 (UTC)

Latest Comments

ishaanbhimwal commented on 2022-03-31 14:05 (UTC)

Anybody getting this error can modify the requires.txt file to use a latest version of PyYaml:

pkg_resources.DistributionNotFound: The 'PyYaml==5.4.1' distribution was not found and is required by Konsave
sudo sed -i 's/PyYaml==5.4.1/PyYaml>=5.4.1/g' /usr/lib/python3.10/site-packages/Konsave-2.1.1-py3.10.egg-info/requires.txt

nmiculinic commented on 2021-04-01 14:57 (UTC)

LookupError: setuptools-scm was unable to detect version for '/home/nmiculinic/.cache/yay/konsave/src/konsave-1.1.9'.

Make sure you're either building from a fully intact git repository or PyPI tarballs. Most other sources (such as GitHub's tarballs, a git checkout without the .git folder) don't contain the necessary metadata and will not work.

still having the same issue with installation

brody commented on 2021-03-21 17:44 (UTC)

@moonglade please refer to my comment of March 8.

Moonglade commented on 2021-03-21 17:09 (UTC)

It fails to build with the error: LookupError: setuptools-scm was unable to detect version for '/home/<user>/.cache/paru/clone/konsave/src/konsave-1.1.9'.

Make sure you're either building from a fully intact git repository or PyPI tarballs. Most other sources (such as GitHub's tarballs, a git checkout without the .git folder) don't contain the necessary metadata and will not work.

I replaced my username with <user> btw, just to clarify.

al3xis commented on 2021-03-13 18:34 (UTC) (edited on 2021-03-13 20:25 (UTC) by al3xis)

Version 1.1.6 works fine ;) But I see a new version already on GitHub. Update: Thanks, got the update to 1.1.7 already!

nmiculinic commented on 2021-03-10 09:06 (UTC)

Cannot install konsave 1.1.5-1

==> Starting build()...
Traceback (most recent call last):
  File "/home/nmiculinic/.cache/yay/konsave/src/konsave-1.1.5/setup.py", line 9, in <module>
    setup(
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 153, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib/python3.9/distutils/core.py", line 108, in setup
    _setup_distribution = dist = klass(attrs)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 432, in __init__
    _Distribution.__init__(self, {
  File "/usr/lib/python3.9/distutils/dist.py", line 292, in __init__
    self.finalize_options()
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 708, in finalize_options
    ep(self)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 715, in _finalize_setup_keywords
    ep.load()(self, ep.name, value)
  File "/usr/lib/python3.9/site-packages/setuptools_scm/integration.py", line 26, in version_keyword
    dist.metadata.version = _get_version(config)
  File "/usr/lib/python3.9/site-packages/setuptools_scm/__init__.py", line 173, in _get_version
    parsed_version = _do_parse(config)
  File "/usr/lib/python3.9/site-packages/setuptools_scm/__init__.py", line 134, in _do_parse
    raise LookupError(
LookupError: setuptools-scm was unable to detect version for '/home/nmiculinic/.cache/yay/konsave/src/konsave-1.1.5'.

Make sure you're either building from a fully intact git repository or PyPI tarballs. Most other sources (such as GitHub's tarballs, a git checkout without the .git folder) don't contain the necessary metadata and will not work.

For example, if you're using pip, instead of https://github.com/user/proj/archive/master.zip use git+https://github.com/user/proj.git#egg=proj

prayagjain commented on 2021-03-09 14:15 (UTC)

Thank you for updating it!

salamander commented on 2021-03-09 09:34 (UTC)

thanks a lot for your help.

@zhixi: indeed, it seems my aur helper of choice (paru) is the culprit, so i will try as you suggested.

zhixi commented on 2021-03-09 03:11 (UTC) (edited on 2021-03-09 03:13 (UTC) by zhixi)

Dear salamander, I tried the latest PKGBUILD 1.1.5, it works fine when download PKGBUILD and using makepkg -si, following this: https://wiki.archlinux.org/index.php/Arch_User_Repository
Seems it will throw this error when using some aur helpers such as yay

I tried yaourt, and it also works fine.

This error is relate to setuptools-scm, it will check versions in .git,while PKGBUILD will download source in github releaes so it can't find version

So I put

prepare() {
  export SETUPTOOLS_SCM_PRETEND_VERSION=${pkgver}
}

to set the version to pkgver. I haven't find out why it doesn't work when using yay, but build it manually or use another aur helper may help.
https://wiki.archlinux.org/index.php/AUR_helpers

brody commented on 2021-03-08 21:27 (UTC)

I built the package in a clean chroot build environment as described in https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_clean_chroot. Furthermore I build the package in a fresh arch linux vm like https://wiki.archlinux.org/index.php/Arch_User_Repository#Installing_and_upgrading_packages

I got no problems.

salamander commented on 2021-03-08 19:11 (UTC)

i'd like to give this a run, but installation fails with:

LookupError: setuptools-scm was unable to detect version for '/tmp/makepkg/konsave/src/konsave-1.1.5'.

Make sure you're either building from a fully intact git repository or PyPI tarballs. Most other sources (such as GitHub's tarballs, a git checkout without the .git folder) don't contain the necessary metadata and will not work.

For example, if you're using pip, instead of https://github.com/user/proj/archive/master.zip use git+https://github.com/user/proj.git#egg=proj ==> FEHLER: Ein Fehler geschah in build(). Breche ab... :: Packages failed to build: konsave-1.1.5-1

prayagjain commented on 2021-03-08 11:49 (UTC) (edited on 2021-03-08 11:50 (UTC) by prayagjain)

Hi, I am the maintainer of this project on GitHub. The project is under very fast development. Please, either remove it or give me the rights to maintain this project here. This version is outdated. Thanks :)

zhixi commented on 2021-03-07 09:19 (UTC)

Ops! It seems I did a stuipd thing, it's my fault. Dear bordy, I am so sorry for that and thaks for you reply. I am afraid I couldn't maintian it well since this porject is under fast development but I am very busy in the next few weeks. If you have time,could you please help me maintian it or directly adpot this package? Thanks.

brody commented on 2021-03-07 08:26 (UTC) (edited on 2021-03-07 08:26 (UTC) by brody)

konsave is not buildable in a clean chroot environment. The makedepends is wrong. The package python-setuptools-scm is needed as you can see https://github.com/Prayag2/konsave/blob/master/setup.py#L12.

==> Starting build()...
WARNING: The wheel package is not available.
/usr/bin/python: No module named pip
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 75, in fetch_build_egg
    subprocess.check_call(cmd)
  File "/usr/lib/python3.9/subprocess.py", line 373, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpxw7434p2', '--quiet', 'setuptools_scm']' returned non-zero exit status 1.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/build/konsave/src/konsave-1.1.3/setup.py", line 9, in <module>
    setup(
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 152, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 147, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 687, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 766, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1051, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1063, in obtain
    return installer(requirement)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 746, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 77, in fetch_build_egg
    raise DistutilsError(str(e)) from e
distutils.errors.DistutilsError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpxw7434p2', '--quiet', 'setuptools_scm']' returned non-zero exit status 1.
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Build failed, check /xxxxxxx/build